When I try to update my firmware, I am getting the following message: "This firmware is not the correct version of this type of sensor." What am I doing wrong?


First, make sure that you have downloaded the correct firmware for your sensor model. Second, make sure you are using the latest version of the 3-Space Sensor Suite. You can download and install the latest version from this link: http://www.yeitechnology.com/yei-3-space-sensor-software-suite#down_and_doc.